﻿Imports System.Text
Imports System.Threading.Tasks

Namespace SolSoft.ObjectOrientedGuiStartup.Wpf
	''' <summary>
	''' Get to the equivalent of default WinForms startup
	''' </summary>
	Friend NotInheritable Class Program
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		Private Sub New()
		End Sub
		<STAThread>
		Shared Sub Main()
			Dim app As New App()

			'this applies the XAML, e.g. StartupUri, Application.Resources
			app.InitializeComponent()

			'shows the Window specified by StartupUri
			app.Run()
		End Sub
	End Class
End Namespace
