﻿Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace SolSoft.ObjectOrientedGuiStartup.WindowsForms
	''' <summary>
	''' First refactoring: closer to object-oriented
	''' </summary>
	Friend Class Program1
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Dim p As New Program1()
			p.Start()
		End Sub

		Private ReadOnly m_mainForm As Form1
		Private Sub New()
			Application.EnableVisualStyles()
			Application.SetCompatibleTextRenderingDefault(False)

			m_mainForm = New Form1()
		End Sub

		Public Sub Start()
			Application.Run(m_mainForm)
		End Sub
	End Class
End Namespace
