﻿Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace SolSoft.ObjectOrientedGuiStartup.WindowsForms
	''' <summary>
	''' Second refactoring: separate message loop
	''' </summary>
	Friend Class Program2
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Dim p As New Program2()
			p.Run()
		End Sub

		Private ReadOnly m_mainForm As Form1
		Private Sub New()
			Application.EnableVisualStyles()
			Application.SetCompatibleTextRenderingDefault(False)

			m_mainForm = New Form1()
			AddHandler m_mainForm.FormClosed, AddressOf m_mainForm_FormClosed
		End Sub

		Public Sub Run()
			m_mainForm.Initialize()
			m_mainForm.Show()
			Application.Run()
		End Sub

		Private Sub m_mainForm_FormClosed(ByVal sender As Object, ByVal e As FormClosedEventArgs)
			Application.ExitThread()
		End Sub
	End Class
End Namespace
