﻿Imports System.Threading
Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace SolSoft.ObjectOrientedGuiStartup.WindowsForms
	''' <summary>
	''' Fourth refactoring, with synchronization context
	''' Still buggy, don't use!
	''' </summary>
	Friend Class Program4a
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Application.EnableVisualStyles()
			Application.SetCompatibleTextRenderingDefault(False)
			SynchronizationContext.SetSynchronizationContext(New WindowsFormsSynchronizationContext())

			Dim p As New Program4a()
			AddHandler p.ExitRequested, AddressOf p_ExitRequested

			Dim programStart As Task = p.StartAsync()

			Application.Run()
		End Sub

		Private Shared Sub p_ExitRequested(ByVal sender As Object, ByVal e As EventArgs)
			Application.ExitThread()
		End Sub

		Private ReadOnly m_mainForm As Form1
		Private Sub New()
			m_mainForm = New Form1()
			AddHandler m_mainForm.FormClosed, AddressOf m_mainForm_FormClosed
		End Sub

		Public async Function StartAsync() As Task
			await m_mainForm.InitializeAsync()
			m_mainForm.Show()
		End Function

		Public Event ExitRequested As EventHandler(Of EventArgs)
		Private Sub m_mainForm_FormClosed(ByVal sender As Object, ByVal e As FormClosedEventArgs)
			OnExitRequested(EventArgs.Empty)
		End Sub

		Protected Overridable Sub OnExitRequested(ByVal e As EventArgs)
			RaiseEvent ExitRequested(Me, e)
		End Sub
	End Class
End Namespace
