﻿Imports System.Text
Imports System.Threading
Imports System.Threading.Tasks

Namespace SolSoft.ObjectOrientedGuiStartup.Wpf
	Friend Class MainViewModel
		Public Event CloseRequested As EventHandler(Of EventArgs)
		Public Sub RequestClose()
			OnCloseRequested(EventArgs.Empty)
		End Sub

		Protected Overridable Sub OnCloseRequested(ByVal e As EventArgs)
			RaiseEvent CloseRequested(Me, e)
		End Sub

		Public Sub Initialize()
			Thread.Sleep(TimeSpan.FromSeconds(5))
		End Sub


		Public Function InitializeAsync() As Task
			'use this to test the exception handling
			'throw new NotImplementedException();
			Return Task.Delay(TimeSpan.FromSeconds(5))
		End Function


	End Class
End Namespace
