﻿Imports System.Text
Imports System.Threading.Tasks

Namespace SolSoft.ObjectOrientedGuiStartup.Wpf
	''' <summary>
	''' First refactoring: closer to object-oriented
	''' </summary>
	Friend Class Program1
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Dim p As New Program1()
			p.Start()
		End Sub

		Private ReadOnly m_app As App
		Private Sub New()
			m_app = New App()

			'this applies the XAML, e.g. StartupUri, Application.Resources
			m_app.InitializeComponent()
		End Sub

		Public Sub Start()
			'shows the Window specified by StartupUri
			m_app.Run()
		End Sub
	End Class
End Namespace
