﻿Imports System.Text
Imports System.Threading.Tasks

Namespace SolSoft.ObjectOrientedGuiStartup.Wpf
	''' <summary>
	''' Fourth refactoring: first attempt at asynchronous initialization
	''' BUGGY, don't use!
	''' </summary>
	Friend Class Program4
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Dim app As AppNoStartupUri = New AppNoStartupUri With {.ShutdownMode = ShutdownMode.OnExplicitShutdown}
			app.InitializeComponent()

			Dim p As New Program4()
			AddHandler p.ExitRequested, Sub(sender, e) app.Shutdown()
			Dim programStart As Task = p.StartAsync()

			app.Run()
		End Sub

		Private Sub New()
		End Sub

		Public async Function StartAsync() As Task
			Dim viewModel As New MainViewModel()
			AddHandler viewModel.CloseRequested, AddressOf viewModel_CloseRequested
			await viewModel.InitializeAsync()

			'this will be on a threadpool thread instead of a ui thread, and won't work
			'it will throw an exception because it's not an STA thread
			Dim mainForm As New MainWindow()
			AddHandler mainForm.Closed, Sub(sender, e) viewModel.RequestClose()

			mainForm.DataContext = viewModel
			mainForm.Show()
		End Function

		Public Event ExitRequested As EventHandler(Of EventArgs)
		Private Sub viewModel_CloseRequested(ByVal sender As Object, ByVal e As EventArgs)
			OnExitRequested(EventArgs.Empty)
		End Sub

		Protected Overridable Sub OnExitRequested(ByVal e As EventArgs)
			RaiseEvent ExitRequested(Me, e)
		End Sub
	End Class
End Namespace
