﻿Imports System.Text
Imports System.Threading
Imports System.Threading.Tasks
Imports System.Windows.Threading

Namespace SolSoft.ObjectOrientedGuiStartup.Wpf
	''' <summary>
	''' Fourth refactoring, with synchronization context
	''' Still buggy, don't use!
	''' </summary>
	Friend Class Program4a
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Dim app As App = New App With {.ShutdownMode = ShutdownMode.OnExplicitShutdown}
			app.InitializeComponent()
			SynchronizationContext.SetSynchronizationContext(New DispatcherSynchronizationContext())

			Dim p As New Program4a()
			AddHandler p.ExitRequested, Sub(sender, e) app.Shutdown()
			Dim programStart As Task = p.StartAsync()

			app.Run()
		End Sub

		Private Sub New()
		End Sub

		Public async Function StartAsync() As Task
			Dim viewModel As New MainViewModel()
			AddHandler viewModel.CloseRequested, AddressOf viewModel_CloseRequested
			await viewModel.InitializeAsync()

			Dim mainForm As New MainWindow()
			AddHandler mainForm.Closed, Sub(sender, e) viewModel.RequestClose()

			mainForm.DataContext = viewModel
			mainForm.Show()
		End Function

		Public Event ExitRequested As EventHandler(Of EventArgs)
		Private Sub viewModel_CloseRequested(ByVal sender As Object, ByVal e As EventArgs)
			OnExitRequested(EventArgs.Empty)
		End Sub

		Protected Overridable Sub OnExitRequested(ByVal e As EventArgs)
			RaiseEvent ExitRequested(Me, e)
		End Sub
	End Class
End Namespace
